### Hierarchy

- Contract

## Index

### Constructors

- constructor

### Properties

- address
- args
- method
- version

### Methods

- serialize
- deserialize

## Constructors

### constructor

- new Contract(): Contract

- - Defined in smartcontract/nativevm/token.ts:154

  #### Returns Contract

## Properties

### address

address: Address

- Defined in smartcontract/nativevm/token.ts:149

### args

args: string

- Defined in smartcontract/nativevm/token.ts:154

### method

method: string

- Defined in smartcontract/nativevm/token.ts:151

### version

version: string

- Defined in smartcontract/nativevm/token.ts:146

## Methods

### serialize

- serialize(): string

- - Defined in smartcontract/nativevm/token.ts:160

  #### Returns string

### Static deserialize

- deserialize(sr: StringReader): Contract

- - Defined in smartcontract/nativevm/token.ts:132

  #### Parameters

  - ##### sr: StringReader

  #### Returns Contract

Generated using TypeDoc